Subject: Re: [PATCH RFX]: napi_struct V3

From: Jeff Garzik <[email-masked]>
Date: Tue, 24 Jul 2007 03:33:41 -0400

Francois Romieu wrote:
> David Miller <[email-masked]> :
> [...]
>> I also didn't play with turning off NAPI in kconfig where drivers
>> allow that, can we just get rid of that crap already? :-/
> 
> Would it be accepted for 2.6.23 or must it be considered post-2.6.23 ?

The merge window is closed, so not 2.6.23.

The cases where Kconfig allows selection of NAPI-or-not is generally 
either (a) the author considers one path new and relatively unproven or 
(b) the author has not bothered to figure out which is the best choice, 
and instead just offers both rather than doing the legwork to find out.

Either way, individual cases must be examined and it is not necessarily 
just a cleanup.

	Jeff